package api

const (
	Success           = 0
	ErrorTokenExist   = 1
	ErrorTokenWrong   = 2
	ErrorTokenRunTime = 3
	ErrorTokenExit    = 4
	ErrorUserRole     = 5
	ErrorSystemErr    = 6
	ErrorTencentErr   = 7

	ErrorReqParaFormat      = 10
	ErrorReqPara            = 11
	ErrorReqInsertDuplicate = 12

	ErrorUserTokenWrong = 1001
	ErrorWechatLogin    = 1002
	ErrorReq
	//ERROR  = 500

	// code = 1000...用户模块的错误
	//ERROR_USERNAME_USED    = 1001
	//ERROR_PASSWORD_WRONG   = 1002
	//ERROR_USER_NOT_EXIST   = 1003
	//ERROR_TOKEN_EXIST      = 1004
	//ERROR_TOKEN_RUNTIME    = 1005
	//ERROR_TOKEN_WRONG      = 1006
	//ERROR_TOKEN_TYPE_WRONG = 1007
	//ERROR_USER_NO_RIGHT    = 1008

	// code = 2000...XXXXX模块的错误

	// code = 3000...XXXXX模块的错误

)

var CodeMsg = map[uint16]string{
	ErrorTokenExist:   "token不存在",
	ErrorTokenWrong:   "非法token",
	ErrorTokenRunTime: "token过期",
	ErrorTokenExit:    "token已退出登录",
	ErrorUserRole:     "用户没有权限",
	ErrorSystemErr:    "系统错误,请尝试重新登录(开发测试人员请联系开发人员)",
	ErrorTencentErr:   "微信服务器返回的错误:",

	ErrorReqPara:            "请求参数内容(取值)错误",
	ErrorReqParaFormat:      "请求参数格式错误",
	ErrorReqInsertDuplicate: "内容重复,无法创建",

	ErrorUserTokenWrong: "用户token错误,系统找不到用户信息,请重新登录",
	ErrorWechatLogin:    "微信登录错误:",
	//	Success:                 "OK",
	//	ERROR:                  "FAIL",
	//	ERROR_USERNAME_USED:    "用户名已存在！",
	//	ERROR_PASSWORD_WRONG:   "密码错误",
	//	ERROR_USER_NOT_EXIST:   "用户不存在",
	//	ERROR_TOKEN_EXIST:      "TOKEN不存在",
	//	ERROR_TOKEN_RUNTIME:    "TOKEN已过期",
	//	ERROR_TOKEN_WRONG:      "TOKEN不正确",
	//	ERROR_TOKEN_TYPE_WRONG: "TOKEN格式错误",
	//	ERROR_USER_NO_RIGHT:    "用户没有权限",
}
