package cache

import (
	"dc_golang_server_1/logger"
	"go.uber.org/zap"
)

func GetCountyAreaMap(countyID uint32) []uint32 {
	var data []uint32

	if v, ok := CountyAreaMap.Load(countyID); ok {
		if data, ok = v.([]uint32); ok {
			return data
		} else {
			CountyAreaMap.Delete(countyID)
			logger.Log.Error("CountyAreaMap 类型断言错误",
				zap.String("Src", "GetCountyAreaMap"),
				zap.Uint32("countyID", countyID))
			// todoN 查库
		}
	}
	return data
}
