package dbdao

import (
	"dc_golang_server_1/logger"
	"fmt"
	"go.uber.org/zap"
	"time"
)

//CREATE TABLE IF NOT EXISTS public.d_hex_command_err
//(
//device_id bigint NOT NULL,
//ciphertext character varying(512) COLLATE pg_catalog."default" NOT NULL,
//err character varying(32) COLLATE pg_catalog."default" NOT NULL,
//create_at timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP
//)
//type TableDevHexCommandErr struct {
//	devId uint32
//	ciphertext string
//	errMsg string
//	createAt timestamp.Timestamp
//}

func InsertDevCommandErr(devId uint32, ciphertext string, errMsg string) {
	var err error
	for i := 0; i < 10; i++ {
		_, err = PgDb.Exec("INSERT INTO d_command_err VALUES($1,$2,$3)", devId, ciphertext, errMsg)
		if err == nil {
			return
		}
		fmt.Println("InsertDevCommandErr:", i, err)
		time.Sleep(3 * time.Second)
	}
	logger.Log.Error("InsertDevCommandErr Err",
		zap.Error(err))
}
