package dbdao

import (
	"dc_golang_server_1/logger"
	"fmt"
	"go.uber.org/zap"
	"time"
)

//CREATE TABLE IF NOT EXISTS public.d_hex_connect_record
//(
//dev_id bigint NOT NULL,
//state smallint NOT NULL,
//create_at timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP
//)
// state 0:新连接来了 1:设备正常离线 2:正常离线 3:新连接挤掉就连接 4:未知异常(连接池类型断言失败)
func DevConnectRecord(devId uint32, state uint8) {
	var err error
	for i := 0; i < 100; i++ {
		_, err = stmtInsertDevConnectRecord.Exec(devId, state)
		if err == nil {
			return
		}
		fmt.Println("DevConnectRecord:", i, err)
		time.Sleep(20 * time.Millisecond)
	}
	logger.Log.Error("DevConnectRecord Err",
		zap.Error(err))
}
